## fence-agents 4.16.0

=== debian/changelog ===
fence-agents (4.16.0-4) unstable; urgency=medium

  * Add patch to fix build with libxml 2.14 (Closes: #1106641)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 24 Aug 2025 15:01:53 +0200

fence-agents (4.16.0-3) unstable; urgency=medium

  * Increase Salsa CI timeout for piuparts.
  * Update Standards-Version to 4.7.2
  * Add patch to convert MIB file to UTF-8 encoding.

 -- Valentin Vidic <vvidic@debian.org>  Mon, 05 May 2025 22:17:21 +0200

fence-agents (4.16.0-2) unstable; urgency=medium

  * Add patch to fix fence_raritan_px3 syntax warnings

 -- Valentin Vidic <vvidic@debian.org>  Sun, 08 Dec 2024 21:47:12 +0100

fence-agents (4.16.0-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * Fix autopkgtest failure caused access restrictions on ICMP sockets
    (Closes: #1086011)

  [ Valentin Vidic ]
  * New upstream version 4.16.0
  * Add new package fence-agents-nutanix-ahv
  * Add new package fence-agents-all (Closes: #1085256)

 -- Valentin Vidic <vvidic@debian.org>  Mon, 02 Dec 2024 08:30:28 +0100
