=== debian/tests/control ===
Tests: metadata
Depends: fence-agents-all, fence-agents-sbd, xsltproc, libxml2-utils, gawk

Tests: delay
Depends: fence-agents-all, fence-agents-sbd, time, procps
Restrictions: needs-sudo

Tests: fence-dummy
Depends: fence-agents-dummy
Restrictions: allow-stderr

Tests: fence-aws
Depends: fence-agents-aws
Restrictions: skippable

Test-Command: /usr/sbin/fence_virt -h
Depends: fence-virt

Test-Command: service fence_virtd status
Depends: fence-virtd
Restrictions: needs-root, isolation-container
