## fence-agents 4.17.0

=== debian/changelog ===
fence-agents (4.17.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2142225). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - d/control: demote ipmitool and sbd dependencies to Suggests.
      fence-agents-{ipmilan,sbd} depend on packages in universe, instead
      of promoting them to main let's change the relationship to
      Suggests.
    - d/t/control: replace fence-agents-all dependency with the new
      -base and -extra packages
  * Dropped changes:
    - d/p/gnu-date-check.patch: change GNU date check to also allow for
      the rust-coreutils variant (LP #2125058)
      [ Applied in upstream version 4.17.0 ]

 -- Renan Rodrigo <rr@ubuntu.com>  Thu, 19 Feb 2026 16:46:17 -0300

fence-agents (4.17.0-1) unstable; urgency=medium

  * New upstream version 4.17.0
  * Refresh patches for new version
  * Refresh packages for new version
  * Update Standards-Version to 4.7.3

 -- Valentin Vidic <vvidic@debian.org>  Sun, 25 Jan 2026 23:31:07 +0100

fence-agents (4.16.0-4ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126029). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - d/control: demote ipmitool and sbd dependencies to Suggests.
      fence-agents-{ipmilan,sbd} depend on packages in universe, instead
      of promoting them to main let's change the relationship to
      Suggests.
    - d/t/control: replace fence-agents-all dependency with the new
      -base and -extra packages
  * New changes:
    - d/p/gnu-date-check.patch: change GNU date check to also allow for
      the rust-coreutils variant (LP: #2125058)
  * Dropped changes:
    - d/p/libxml2.14.diff: Fix build with libxml 2.14
      [ Fixed in version 4.16.0-4 ]

 -- Renan Rodrigo <rr@ubuntu.com>  Thu, 27 Nov 2025 09:16:58 -0300

fence-agents (4.16.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110426). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - d/control: demote ipmitool and sbd dependencies to Suggests.
      fence-agents-{ipmilan,sbd} depend on packages in universe, instead
      of promoting them to main let's change the relationship to
      Suggests.
    - d/t/control: replace fence-agents-all dependency with the new
      -base and -extra packages
    - d/p/libxml2.14.diff: Fix build with libxml 2.14

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 26 Jun 2025 01:01:09 -0300

fence-agents (4.16.0-2ubuntu3) questing; urgency=medium

  * Fix build with libxml 2.14.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 11:54:41 +0200

fence-agents (4.16.0-2ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:34 +0200

fence-agents (4.16.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085231). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - d/control: demote ipmitool and sbd dependencies to Suggests.
      fence-agents-{ipmilan,sbd} depend on packages in universe, instead
      of promoting them to main let's change the relationship to
      Suggests.
    - d/t/control: replace fence-agents-all dependency with the new
      -base and -extra packages
  * Dropped changes:
    - d/t/control: use needs-recommends restrictions since @recommends@
      is not supported.  In the autopkgtest version used in the Ubuntu
      infrastructure, the @recommends@ in Depends does not work. For
      now, let's use the deprecated needs-recommends restriction.
      [ Debian no longer uses @recommends@ here ]
    - Use google-auth rather than oauth2client (LP #2073859)
      [ Fixed in 4.15.0-3 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 20 Feb 2025 00:30:52 -0300

fence-agents (4.15.0-1ubuntu5) plucky; urgency=medium

  * Dropped:
    - Fix autopkgtest failure caused access restrictions on ICMP sockets
      (Closes: #1086011):
      + d/t/control: add procps dependency to the "delay" test
      + d/t/delay: ensure unprivileged users can run ping
      [iputils-ping is back to using capabilities in 3:20240905-1ubuntu1]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 17 Dec 2024 11:19:53 -0300

fence-agents (4.15.0-1ubuntu4) plucky; urgency=medium

  * Fix autopkgtest failure caused access restrictions on ICMP sockets
    (Closes: #1086011):
    - d/t/control: add procps dependency to the "delay" test
    - d/t/delay: ensure unprivileged users can run ping
    [Backported from Debian c966378786d98416a4b141a616c1b2f4c9ff7381, authored
    by Noah Meyerhans]


