=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fence-agents
 Section: admin
-Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
            Valentin Vidic <vvidic@debian.org>
 Build-Depends: autoconf,
@@ -34,26 +34,12 @@
                time,
                uuid-dev,
                xsltproc,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ClusterLabs/fence-agents
 Vcs-Browser: https://salsa.debian.org/ha-team/fence-agents
 Vcs-Git: https://salsa.debian.org/ha-team/fence-agents.git
 
-Package: fence-agents
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends},
-         fence-agents-all
-Description: Fence Agents for Red Hat Cluster - transitional package
- Red Hat Fence Agents is a collection of scripts to handle remote power
- management for several devices. They allow failed or unreachable nodes to be
- forcibly restarted and removed from the cluster.
- .
- This package is a transitional package to fence-agents-all. It can safely be
- removed.
-
-Package: fence-agents-all
+Package: fence-agents-extra
 Architecture: all
 Depends: ${misc:Depends},
          fence-agents-ack-manual,
@@ -63,6 +49,7 @@
          fence-agents-apc,
          fence-agents-apc-snmp,
          fence-agents-aws,
+         fence-agents-aws-vpc-net,
          fence-agents-azure-arm,
          fence-agents-bladecenter,
          fence-agents-brocade,
@@ -84,6 +71,7 @@
          fence-agents-gce,
          fence-agents-hds-cb,
          fence-agents-heuristics-ping,
+         fence-agents-hetzner-cloud,
          fence-agents-hpblade,
          fence-agents-ibmblade,
          fence-agents-ibm-powervs,
@@ -96,14 +84,12 @@
          fence-agents-ilo-ssh,
          fence-agents-intelmodular,
          fence-agents-ipdu,
-         fence-agents-ipmilan,
          fence-agents-ironic,
          fence-agents-kdump,
          fence-agents-kubevirt,
          fence-agents-ldom,
          fence-agents-lindy-pdu,
          fence-agents-lpar,
-         fence-agents-mpath,
          fence-agents-netio,
          fence-agents-nutanix-ahv,
          fence-agents-openstack,
@@ -119,26 +105,24 @@
          fence-agents-rsa,
          fence-agents-rsb,
          fence-agents-sanbox2,
-         fence-agents-scsi,
+         fence-agents-shelly,
          fence-agents-skalar,
          fence-agents-vbox,
-         fence-agents-virsh,
          fence-agents-vmware,
          fence-agents-vmware-rest,
          fence-agents-vmware-soap,
          fence-agents-vmware-vcloud,
          fence-agents-wti,
          fence-agents-xenapi,
-         fence-virt
-Suggests: fence-agents-sbd
-Replaces: fence-agents (<< 4.16.0)
-Breaks: fence-agents (<< 4.16.0)
-Description: Fence Agents for Red Hat Cluster - all agents
- Red Hat Fence Agents is a collection of scripts to handle remote power
- management for several devices. They allow failed or unreachable nodes to be
- forcibly restarted and removed from the cluster.
- .
- This package is a metapackage depending on all available fence agents.
+         fence-virt,
+Description: Fence Agents for Red Hat Cluster non-curated by Ubuntu
+ Red Hat Fence Agents is a collection of scripts to handle remote power
+ management for several devices. They allow failed or unreachable nodes to be
+ forcibly restarted and removed from the cluster.
+ .
+ This package is a metapackage depending on all available fence agents which
+ are not curated by the Ubuntu Server team. The agents which are not curated by
+ Ubuntu are not officially supported.
 
 Package: fence-agents-common
 Architecture: all
@@ -288,6 +272,25 @@
  fence_aws is an I/O Fencing agent for AWS (Amazon Web Services). It uses the
  boto3 library to connect to AWS.
 
+Package: fence-agents-aws-vpc-net
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         fence-agents-common (>= ${source:Version}),
+         python3-boto3,
+         python3-requests
+Breaks: fence-agents (<< 4.12.1-2~exp1)
+Replaces: fence-agents (<< 4.12.1-2~exp1)
+Provides: fence-agent
+Description: Fence Agents for Red Hat Cluster - AWS VPC agent
+ Red Hat Fence Agents is a collection of scripts to handle remote power
+ management for several devices. They allow failed or unreachable nodes to be
+ forcibly restarted and removed from the cluster.
+ .
+ fence_aws_vpc is a Network and Power Fencing agent for AWS VPC that works by
+ manipulating security groups. It uses the boto3 library to connect to AWS.
+
 Package: fence-agents-azure-arm
 Architecture: all
 Depends: ${shlibs:Depends},
@@ -319,11 +322,3 @@
 Provides: fence-agent
 Description: Fence Agents for Red Hat Cluster - IBM BladeCenter telnet agent
  Red Hat Fence Agents is a collection of scripts to handle remote power
- management for several devices. They allow failed or unreachable nodes to be
- forcibly restarted and removed from the cluster.
- .
- fence_bladecenter is an I/O Fencing agent which can be used with IBM
- BladeCenters with recent enough firmware that includes telnet support. It logs
- into a Brocade chasis via telnet or ssh and uses the command line interface to
- power on and off blades.
-
